Index: build_tools/deploy.bat
===================================================================
--- build_tools/deploy.bat	(revision b61796f6bb674a8ff8ec2f45dcb597770c836daf)
+++ build_tools/deploy.bat	(revision b61796f6bb674a8ff8ec2f45dcb597770c836daf)
@@ -0,0 +1,9 @@
+@echo off
+cd "c:\program files\putty"
+
+rem Copy new installer to the temp directory on the test server
+pscp -scp -v -i sasview.ppk C:\jenkins\workspace\SasView_Win7\sasview\sasview\Output\setupSasView.exe sasview@192.168.1.18:AppData\Local\Temp\
+rem Execute the test on the remote server
+plink -i sasview.ppk -ssh sasview@192.168.1.18 c:\\jenkins\\test_deployment.bat
+
+cd c:\jenkins
Index: build_tools/sasview_deploy_test.au3
===================================================================
--- build_tools/sasview_deploy_test.au3	(revision 55bbe0b27a20e96052e70b3b233bcf5dff44cea3)
+++ build_tools/sasview_deploy_test.au3	(revision 55bbe0b27a20e96052e70b3b233bcf5dff44cea3)
@@ -0,0 +1,160 @@
+; ****** REMEMBER TO SWITCH OFF UAC ON TARGET MACHINE!!! *********
+;
+; This script will install, run and uninstall SasView
+; given location of the installer. The exit code of the script
+; points at failure location:
+;
+; 0 - OK
+; 1 - Installer failure
+; 2 - Problems running SasView (simple fitting)
+; 3 - Uninstaller failure
+
+#include <Constants.au3>
+#include <FileConstants.au3>
+#include <MsgBoxConstants.au3>
+#include <WinAPIFiles.au3>
+
+; Modifiable globals
+Global $fInstallerLocation = @TempDir & "\setupSasView.exe"
+if $CmdLine[0] > 0 Then
+   ; If argument present - use it as local download path
+   $fInstallerLocation = $CmdLine[1]
+EndIf
+
+Global $fUninstallerLocation = "C:\Program Files (x86)\SasView\unins000.exe"
+Global $lTimeout = 10          ; 10 sec timeout for waiting on windows
+Global $lInstallTimeout = 120  ; 2 min timeout for the installation process
+
+; General globals
+Global $installerPID = 0
+
+;; MAIN SCRIPT
+Install()
+RunSasView()
+Uninstall()
+Exit(0)
+
+;==============================================================
+
+Func Install()
+   ;;;;; APPLICATION INSTALLED ;;;;;;;
+   Local $sSetupWindow = "Setup - SasView"
+   Local $iFailFlag = 1
+   ; Run setup
+   if FileExists($fInstallerLocation) Then
+	  $installerPID = Run($fInstallerLocation)
+	  Assert($installerPID, $iFailFlag)
+	  Sleep(1000)
+   Else
+	  ;$Error = ObjEvent(AutoIt.Error, "Setup file does not exist","123")
+	  Exit($iFailFlag)
+   EndIf
+
+   ; License click through
+   WinActivate($sSetupWindow)
+   Local $test = WinWaitActive($sSetupWindow, "License Agreement", $lTimeout)
+   ;ConsoleWrite("license agreement: " & $test)
+   Assert($test, $iFailFlag)
+   sleep(1000)
+
+   Send("{TAB}{up}{ENTER}")
+
+   ; Location
+   Sleep(1000)
+   $test = WinWaitActive($sSetupWindow, "Select Destination Location", $lTimeout)
+   Assert($test, $iFailFlag)
+   Send("{ENTER}")
+
+   ; Icons, Startup entry
+   Sleep(1000)
+   $test = WinWaitActive($sSetupWindow, "Select Additional Tasks", $lTimeout)
+   Assert($test, $iFailFlag)
+   Send("{ENTER}")
+
+   ; Ready to install...
+   Sleep(1000)
+   $test = WinWaitActive($sSetupWindow, "Ready to Install", $lTimeout)
+   Assert($test, $iFailFlag)
+   Send("{ENTER}")
+
+   ; Final OK on running
+   Sleep(5000)
+   $test = WinWaitActive($sSetupWindow, "Completing the SasView Setup Wizard", $lInstallTimeout)
+   Assert($test, $iFailFlag)
+   Send("{ENTER}")
+   ;ConsoleWrite("Installed" & @CRLF)
+
+EndFunc
+
+
+Func RunSasView()
+   ;;;;; APPLICATION STARTED ;;;;;;;
+   ; Start app - DEBUG ONLY
+   ;;Run("C:\Program Files (x86)\SasView\SasView.exe")
+   Local $iFailFlag = 2
+   ; Wait for the window
+   Sleep(1000)
+   Local $hWnd = WinWaitActive("SasView  - Fitting -", "", $lTimeout)
+   Assert($hWnd, $iFailFlag)
+
+   ;;;;; Load a File
+   ; Open File Load dialog
+   Send("!{f}{ENTER}")
+   WinWaitActive("Choose a file", "", $lTimeout)
+   Assert($hWnd, $iFailFlag)
+   Sleep(200)
+
+   ; Focus is in file chooser - enter filename
+   Send("C:\Program Files (x86)\SasView\test\1d_data\cyl_400_20.txt")
+   Sleep(1000)
+   Send("{ENTER}")
+
+   ;; Send file to fitting
+   ControlClick($hWnd, "Send To", 231)
+
+   ;; Choose a model
+   ControlCommand($hWnd, "", "ComboBox3", "SetCurrentSelection", 1)
+
+   ;; Calculate the model
+   ControlClick($hWnd, "Compute", 211)
+
+   ;; Close SasView
+   WinClose($hWnd)
+
+   Local $hEnd = WinWaitActive("Confirm Exit", "", $lTimeout)
+   Assert($hEnd, $iFailFlag)
+   ControlClick($hEnd, "", "[CLASS:Button; INSTANCE:1]")
+
+   Local $sv_closed = WinWaitClose($hWnd, "", $lTimeout)
+   Assert($sv_closed, $iFailFlag)
+
+EndFunc
+
+Func Uninstall()
+;;;;; UNINSTALL ;;;;;;;
+   Local $iFailFlag = 3
+   $installerPID = Run($fUninstallerLocation)
+   Assert($installerPID, $iFailFlag)
+
+   Local $sSetupWindow = "SasView Uninstall"
+
+   Local $test = WinWaitActive($sSetupWindow, "", $lTimeout)
+   Assert($test, $iFailFlag)
+   Send("{TAB}{ENTER}")
+
+   WinActivate("SasView Uninstal")
+   $test = WinWaitActive($sSetupWindow, "SasView was successfully removed", $lTimeout)
+   Assert($test, $iFailFlag)
+   Send("{ENTER}")
+
+EndFunc
+
+
+;;; HELPER FUNCTIONS ;;;;
+Func Assert($test, $lExitValue)
+   ;;; Asserts $test to be non-zero and exit with code $lExitValue ;;;
+   if $test == 0 Then
+	  ProcessClose($installerPID)
+	  Exit($lExitValue)
+   EndIf
+EndFunc
Index: build_tools/test_deployment.bat
===================================================================
--- build_tools/test_deployment.bat	(revision b61796f6bb674a8ff8ec2f45dcb597770c836daf)
+++ build_tools/test_deployment.bat	(revision b61796f6bb674a8ff8ec2f45dcb597770c836daf)
@@ -0,0 +1,8 @@
+@echo off
+cd c:\jenkins
+
+rem sasview.exe is an AutoIt3 generated binary based on sasview_deploy_test.au3
+start /wait c:\jenkins\sasview.exe %1 %2
+
+echo %errorlevel%
+
Index: docs/sphinx-docs/build_sphinx.py
===================================================================
--- docs/sphinx-docs/build_sphinx.py	(revision eff1a8fcae5ef75ec5471c7b351cd73b602ce8b2)
+++ docs/sphinx-docs/build_sphinx.py	(revision 8096b4468bcb6bd95abe40059a38d5bd17d057a8)
@@ -35,4 +35,6 @@
 #/sasview-local-trunk/docs/sphinx-docs/build_sphinx.py
 SASMODELS_SOURCE_PROLOG = os.path.join(CURRENT_SCRIPT_DIR, "..", "..", "..", "sasmodels", "doc")
+SASMODELS_SOURCE_MAGNETISM = os.path.join(CURRENT_SCRIPT_DIR, "..", "..", "..", "sasmodels", "doc", "ref", "magnetism")
+SASMODELS_SOURCE_MAGIMG = os.path.join(CURRENT_SCRIPT_DIR, "..", "..", "..", "sasmodels", "doc", "ref", "magnetism", "mag_img")
 SASMODELS_SOURCE_REF_MODELS = os.path.join(CURRENT_SCRIPT_DIR, "..", "..", "..", "sasmodels", "doc", "ref", "models")
 SASMODELS_SOURCE_MODELS = os.path.join(CURRENT_SCRIPT_DIR, "..", "..", "..", "sasmodels", "doc", "model")
@@ -43,4 +45,5 @@
 SASMODELS_DEST_MODELS = os.path.join(CURRENT_SCRIPT_DIR, "source", "user", "models")
 SASMODELS_DEST_IMG = os.path.join(CURRENT_SCRIPT_DIR,  "source", "user", "model-imgs", "new-models")
+SASMODELS_DEST_MAGIMG = os.path.join(CURRENT_SCRIPT_DIR,  "source", "user", "mag_img")
 SASMODELS_DEST_BUILDIMG = os.path.join(CURRENT_SCRIPT_DIR,  "source", "user", "models", "img")
 
@@ -136,5 +139,5 @@
 
             copy_tree(docs, dest_dir)
-            
+
     # Now pickup testdata_help.rst
 #    print os.path.abspath(SASVIEW_TEST)
@@ -143,7 +146,7 @@
     if os.path.exists(SASVIEW_TEST):
        print "Found docs folder at ", SASVIEW_TEST
-       shutil.copytree(SASVIEW_TEST, SPHINX_SOURCE_TEST)       
-
-    print "=== And the Sasmodels Docs ===" 
+       shutil.copytree(SASVIEW_TEST, SPHINX_SOURCE_TEST)
+
+    print "=== And the Sasmodels Docs ==="
     # Make sure we have the relevant images for the new sasmodels documentation
     # First(!) we'll make a local reference copy for SasView (/new-models will be cleaned each build)
@@ -174,5 +177,5 @@
             shutil.copy(fromhere,tohere)
         else: print "no source directorty",SASMODELS_SOURCE_AUTOIMG ,"was found"
-    
+
     # And the rst prolog with the unit substitutions
     if os.path.exists(SASMODELS_SOURCE_PROLOG):
@@ -186,4 +189,28 @@
                     tohere=os.path.join(SASMODELS_DEST_PROLOG,files)
                     shutil.copy(fromhere,tohere)
+
+    if os.path.exists(SASMODELS_SOURCE_MAGNETISM):
+        print "Found docs folder SASMODELS_SOURCE_MAGNETISM at ", SASMODELS_SOURCE_MAGNETISM
+        if os.path.exists(SASMODELS_DEST_REF_MODELS):
+            print "Found docs folder SASMODELS_DEST_REF_MODELS   at ", SASMODELS_DEST_REF_MODELS
+            print "Copying sasmodels model toctree files..."
+            for files in os.listdir(SASMODELS_SOURCE_MAGNETISM):
+                if files.endswith(".rst"):
+                    fromhere=os.path.join(SASMODELS_SOURCE_MAGNETISM,files)
+                    tohere=os.path.join(SASMODELS_DEST_REF_MODELS,files)
+                    shutil.copy(fromhere,tohere)
+
+    if os.path.exists(SASMODELS_SOURCE_MAGIMG):
+        print "Found img  folder SASMODELS_SOURCE_MAGIMG    at ", SASMODELS_SOURCE_MAGIMG
+        if not os.path.exists(SASMODELS_DEST_MAGIMG):
+            print "Missing docs folder SASMODELS_DEST_MAGIMG at ", SASMODELS_DEST_MAGIMG
+            os.makedirs(SASMODELS_DEST_MAGIMG)
+            print "created SASMODELS_DEST_MAGIMG at ", SASMODELS_DEST_MAGIMG
+        print "Copying sasmodels model auto-generated image files..."
+        for files in os.listdir(SASMODELS_SOURCE_MAGIMG):
+            fromhere=os.path.join(SASMODELS_SOURCE_MAGIMG,files)
+            tohere=os.path.join(SASMODELS_DEST_MAGIMG,files)
+            shutil.copy(fromhere,tohere)
+        else: print "no source directorty",SASMODELS_SOURCE_MAGIMG ,"was found"
 
     if os.path.exists(SASMODELS_SOURCE_REF_MODELS):
Index: sasview/installer_generator.py
===================================================================
--- sasview/installer_generator.py	(revision 6a698c0c5af344a6ab7262889158874408362b2f)
+++ sasview/installer_generator.py	(revision 09afe905cc9186fc6fe30cdfb86e1fd68ebe2949)
@@ -199,6 +199,4 @@
     msg += """Source: "dist\plugin_models\*";\tDestDir: "{userdesktop}\..\.sasview\plugin_models";\t"""
     msg += """Flags: recursesubdirs createallsubdirs\n""" 
-    msg += """Source: "dist\compiled_models\*";\tDestDir: "{userdesktop}\..\.sasmodels\compiled_models";\t"""
-    msg += """Flags: recursesubdirs createallsubdirs\n"""
     msg += """Source: "dist\config\custom_config.py";\tDestDir: "{userdesktop}\..\.sasview\config";\t""" 
     msg += """Flags: recursesubdirs createallsubdirs\n"""
Index: sasview/sasview.py
===================================================================
--- sasview/sasview.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
+++ sasview/sasview.py	(revision cde6e52c62a26bad1dd50f25b4fea01ed9ffce87)
@@ -99,4 +99,7 @@
 APP_NAME = 'SasView'
 
+from matplotlib import backend_bases
+backend_bases.FigureCanvasBase.filetypes.pop('pgf', None)
+
 class SasView():
     """
Index: sasview/setup_exe.py
===================================================================
--- sasview/setup_exe.py	(revision 98d89df2b4f3085f9a959747dbb596aabf5d50b8)
+++ sasview/setup_exe.py	(revision 09afe905cc9186fc6fe30cdfb86e1fd68ebe2949)
@@ -209,14 +209,4 @@
 data_files += guiframe.data_files()
 
-# precompile sas models into the sasview build path; doesn't matter too much
-# where it is so long as it is a place that will get cleaned up afterwards.
-import sasmodels.core
-dll_path = os.path.join(build_path, 'compiled_models')
-compiled_dlls = sasmodels.core.precompile_dlls(dll_path, dtype='double')
-
-# include the compiled models as data; coordinate the target path for the
-# data with installer_generator.py
-data_files.append(('compiled_models', compiled_dlls))
-
 import sasmodels
 data_files += sasmodels.data_files()
Index: src/sas/sascalc/dataloader/data_info.py
===================================================================
--- src/sas/sascalc/dataloader/data_info.py	(revision d72567eac270b5ba960e7bfa2dac6f9cbc461dbe)
+++ src/sas/sascalc/dataloader/data_info.py	(revision 45d766273b9962bed84bd4bb7cb2c0227b97686d)
@@ -445,5 +445,5 @@
         return len(self.name) == 0 and len(self.date) == 0 and len(self.description) == 0 \
             and len(self.term) == 0 and len(self.notes) == 0
-            
+
     def single_line_desc(self):
         """
@@ -451,5 +451,5 @@
         """
         return "%s %s %s" % (self.name, self.date, self.description)
-     
+
     def __str__(self):
         _str = "Process:\n"
@@ -1037,4 +1037,5 @@
         _str += "   Z-axis:       %s\t[%s]\n" % (self._zaxis, self._zunit)
         _str += "   Length:       %g \n" % (len(self.data))
+        _str += "   Shape:        (%d, %d)\n" % (len(self.y_bins), len(self.x_bins))
         return _str
 
@@ -1220,5 +1221,5 @@
         result.mask = numpy.append(self.mask, other.mask)
         if result.err_data is not None:
-            result.err_data = numpy.append(self.err_data, other.err_data) 
+            result.err_data = numpy.append(self.err_data, other.err_data)
         if self.dqx_data is not None:
             result.dqx_data = numpy.append(self.dqx_data, other.dqx_data)
@@ -1252,4 +1253,6 @@
         final_dataset.yaxis(data._yaxis, data._yunit)
         final_dataset.zaxis(data._zaxis, data._zunit)
+        final_dataset.x_bins = data.x_bins
+        final_dataset.y_bins = data.y_bins
     else:
         return_string = "Should Never Happen: _combine_data_info_with_plottable input is not a plottable1d or " + \
